Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.flexdock.plaf.resources
Class ResourceHandler

    java.lang.Object
      org.flexdock.plaf.resources.ResourceHandler

Direct Known Subclasses:
  ActionResourceHandler, ColorResourceHandler, ConstructorHandler, FontResourceHandler, ImageIconResourceHandler, ImageResourceHandler, InsetsResourceHandler, PainterResourceHandler, PlafResourceHandler, RaisedBorderResource, RoundedBorderResource, SquareBevelBorderResource, StringResourceHandler

    public class ResourceHandler

extends Object

Author:
  Christopher Butler

Constructor Summary
`ResourceHandler()`

Method Summary
`protected String[]` | `getArgs(String data)`
`Object` | `getResource(String stringValue)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceHandler

    public ResourceHandler()

Method Detail

### getResource

    public Object getResource(String stringValue)

### getArgs

    protected String[] getArgs(String data)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD